package CRSDK;

/**
 * FNumber
 * type: CrDataType_UInt16
 * value = F number * 100
 */
@SuppressWarnings("unused")
public enum CrFnumberSet {
    CrFnumber_IrisClose (0xFFFD), // Iris Close
    CrFnumber_Unknown   (0xFFFE), // Display "--"
    CrFnumber_Nothing   (0xFFFF); // Nothing to display

    private final CrInt16u value;
    CrFnumberSet(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
